Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.springframework.beans.factory.annotation
Annotation Type Configurable

    @Retention(value=RUNTIME)
    @Target(value=TYPE)
    @Documented
    @Inherited
    public @interface Configurable

Marks a class as being eligible for Spring-driven configuration.

Typically used with the AspectJ `AnnotationBeanConfigurerAspect`.

Since:
  2.0
Author:
  Rod Johnson, Rob Harrop, Adrian Colyer, Ramnivas Laddad

Optional Element Summary
`Autowire` | `autowire` Are dependencies to be injected via autowiring?
`boolean` | `dependencyCheck` Is dependency checking to be performed for configured objects?
`boolean` | `preConstruction` Are dependencies to be injected prior to the construction of an object?
`String` | `value` The name of the bean definition that serves as the configuration template.

### value

    public abstract String value

  The name of the bean definition that serves as the configuration template.

  Default:
    ""

### autowire

    public abstract Autowire autowire

  Are dependencies to be injected via autowiring?

  Default:
    org.springframework.beans.factory.annotation.Autowire.NO

### dependencyCheck

    public abstract boolean dependencyCheck

  Is dependency checking to be performed for configured objects?

  Default:
    false

### preConstruction

    public abstract boolean preConstruction

  Are dependencies to be injected prior to the construction of an object?

  Default:
    false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2002-2008 The Spring Framework.